/**
 * Used to key what type of LayoutComponent an object is
 * @internal
 */
export const componentType = Symbol('component-type');
/**
 * Default time in milliseconds for the layout to buffer calls to reloading
 * the layout while the declarative API is loading.
 *
 * During the first load of the layout, a loading spinner will be shown.
 * @public
 */
export const DEFAULT_RELOAD_BUFFER = 500;
/**
 * Key to cache autosaved layouts in local storage
 * @internal
 */
export const AUTOSAVE_KEY = 'foundation-layout-autosave';
