/**
 * Defines events that the layout system emits
 *
 * 'firstLoaded' - emitted when the layout has finished loading the first time
 * using the declarative API after {@link DEFAULT_RELOAD_BUFFER} ms.
 * <br/>
 * 'itemAdded' - emitted when an item is added to the layout'
 * <br/>
 * 'itemRemoved' - emitted when an item is removed from the layout'
 * <br/>
 * 'itemResized' - emitted when the user drags the divider to resize elements
 * @public
 */
export const LayoutEmitEvents = {
    firstLoaded: 'first-loaded',
    itemAdded: 'item-added',
    itemRemoved: 'item-removed',
    itemResized: 'item-resized',
};
/**
 * Defines events that the layout system listens for
 *
 * 'changeTitle' - emit this from a contained item to update the title of the window that contains it.
 * @public
 */
export const LayoutReceiveEvents = {
    changeTitle: 'change-title',
};
