import { componentType } from './constants';
import { LayoutUsageError } from './error';
/**
 * Returns an array of values of the array a which are missing in b
 * An empty array is returned if every value of a is in b
 * @internal
 */
export function getMissingArrayItems(a, b) {
    return a.filter((x) => !b.includes(x));
}
/** @internal */
export function getParentLayoutComponent() {
    const parent = this.parentElement;
    switch (parent[componentType]) {
        case 'root':
            return parent;
        case 'horizontal':
        case 'vertical':
        case 'tabs':
            return parent;
        default:
            throw new LayoutUsageError('Using layout region outside of layout root');
    }
}
/** @internal */
export const regionConveter = (x) => {
    const t = {
        horizontal: 'column',
        vertical: 'row',
        tabs: 'stack',
    };
    return t[x];
};
