## API Report File for "@genesislcap/foundation-layout"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { Container } from '@microsoft/fast-foundation';
import { ElementStyles } from '@microsoft/fast-element';
import { FoundationElement } from '@microsoft/fast-foundation';
import { FoundationElementRegistry } from '@microsoft/fast-foundation';
import { OverrideFoundationElementDefinition } from '@microsoft/fast-foundation';
import { ResolvedLayoutConfig } from '@genesis-community/golden-layout';
import { RootItemConfig } from '@genesis-community/golden-layout';
import { ViewTemplate } from '@microsoft/fast-element';

// @public
export const DEFAULT_RELOAD_BUFFER = 500;

// Warning: (ae-forgotten-export) The symbol "LayoutComponent" needs to be exported by the entry point index.d.ts
//
// @public
export class FoundationLayout extends FoundationElement implements LayoutComponent {
    // @internal (undocumented)
    [componentType]: "root";
    // @internal
    constructor();
    addItem(config: RegisteredElementConfig | RegisteredElementConfig[], placement?: Placement): void;
    // @internal
    addItemFromChild<T extends RootItemConfig>(item: T): T;
    autoSaveKey?: string;
    // @internal
    cacheElementsAndRegister({ elements, id }: RegistrationConfig): string;
    // @internal (undocumented)
    connectedCallback(): void;
    // @internal (undocumented)
    disconnectedCallback(): void;
    dragging: boolean;
    getLayout(): SerialisedLayout;
    hasFirstLoaded: boolean;
    // @internal (undocumented)
    layoutElement: HTMLElement;
    static layoutRequiredRegistrations(layout: SerialisedLayout): string[];
    loadLayout(layout: SerialisedLayout, handleMissingItem?: 'placeholder' | 'error'): void;
    missingItemPlaceholder: (missingItem: string) => string;
    registeredItems(): string[];
    registerItem(registration: string, elements: Element[]): string;
    reloadBuffer: number;
    // @internal
    requestLayoutReload(): void;
    tryLoadLayoutFromLocalStorage(): boolean;
    // @internal (undocumented)
    usingDeclerativeAPI: boolean;
}

// @public
export const foundationLayoutComponents: {
    foundationLayout: (overrideDefinition?: OverrideFoundationElementDefinition<    {
    baseName: string;
    styles: ElementStyles;
    template: ViewTemplate<FoundationLayout, any>;
    }>) => FoundationElementRegistry<    {
    baseName: string;
    styles: ElementStyles;
    template: ViewTemplate<FoundationLayout, any>;
    }, FoundationLayout>;
    foundationLayoutRegion: (overrideDefinition?: OverrideFoundationElementDefinition<    {
    baseName: string;
    template: ViewTemplate<any, any>;
    }>) => FoundationElementRegistry<    {
    baseName: string;
    template: ViewTemplate<any, any>;
    }, FoundationLayoutRegion>;
    foundationLayoutItem: (overrideDefinition?: OverrideFoundationElementDefinition<    {
    baseName: string;
    template: ViewTemplate<any, any>;
    }>) => FoundationElementRegistry<    {
    baseName: string;
    template: ViewTemplate<any, any>;
    }, FoundationLayoutItem>;
    register(container?: Container, ...rest: any[]): void;
};

// @public
export class FoundationLayoutItem extends FoundationElement implements LayoutComponent {
    // @internal (undocumented)
    [componentType]: "item";
    // @internal (undocumented)
    cacheElementsAndRegister(config: RegistrationConfig): string;
    closable: boolean;
    // @internal (undocumented)
    connectedCallback(): void;
    registration: string;
    // @internal (undocumented)
    requestLayoutReload(): void;
    size: string;
    title: string;
}

// @public
export class FoundationLayoutRegion extends FoundationElement implements LayoutComponent {
    // @internal (undocumented)
    [componentType]: LayoutRegionType;
    // @internal (undocumented)
    addItemFromChild<T extends RootItemConfig>(item: T): T;
    // @internal (undocumented)
    cacheElementsAndRegister(config: RegistrationConfig): string;
    // @internal (undocumented)
    connectedCallback(): void;
    // @internal (undocumented)
    requestLayoutReload(): void;
    size: string;
    type: LayoutRegionType;
}

// @public
export const LayoutEmitEvents: {
    readonly firstLoaded: "first-loaded";
    readonly itemAdded: "item-added";
    readonly itemRemoved: "item-removed";
    readonly itemResized: "item-resized";
};

// @public
export const LayoutReceiveEvents: {
    readonly changeTitle: "change-title";
};

// @public
export type LayoutReceiveEventsDetail = {
    changeTitle: {
        title: string;
        mode: 'replace' | 'suffix';
    };
};

// Warning: (ae-forgotten-export) The symbol "layoutRegionValue" needs to be exported by the entry point index.d.ts
//
// @public
export type LayoutRegionType = (typeof layoutRegionValue)[number];

// @public (undocumented)
export class LayoutRegistrationError extends Error {
    constructor(message: string);
}

// @public
export const layoutStyles: ElementStyles;

// @public
export const layoutTemplate: ViewTemplate<FoundationLayout, any>;

// @public (undocumented)
export class LayoutUsageError extends Error {
    constructor(message: string);
}

// @public
export type Placement = {
    area: 'top' | 'left' | 'bottom' | 'right';
    multiple?: {
        type: LayoutRegionType;
        size?: string;
    };
};

// @public
export interface RegisteredElementConfig {
    // (undocumented)
    closable?: boolean;
    // (undocumented)
    registration: string;
    // (undocumented)
    size?: string;
    // (undocumented)
    title?: string;
}

// Warning: (ae-internal-missing-underscore) The name "RegistrationConfig" should be prefixed with an underscore because the declaration is marked as @internal
//
// @internal (undocumented)
export interface RegistrationConfig {
    // (undocumented)
    elements: Element[];
    // (undocumented)
    id?: string;
}

// @public
export type SerialisedLayout = {
    v: '1';
    c: ResolvedLayoutConfig;
};

// (No @packageDocumentation comment for this package)

```
