<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-layout](./foundation-layout.md) &gt; [Placement](./foundation-layout.placement.md)

## Placement type

Where to and how to add the new item(s) into the layout when using the [FoundationLayout.addItem()](./foundation-layout.foundationlayout.additem.md) API.

**Signature:**

```typescript
export type Placement = {
    area: 'top' | 'left' | 'bottom' | 'right';
    multiple?: {
        type: LayoutRegionType;
        size?: string;
    };
};
```
**References:** [LayoutRegionType](./foundation-layout.layoutregiontype.md)

## Remarks

`area` dictates what part of the layout the new item(s) will be added to. `multiple` is optional and is defaulted to `type=horizontal` and `size=50%` if not defined. `multiple` config only affects the placement if multiple items are specified to be added. `multiple.type` sets the group type of the new items, whether they are horizontal, vertical, or in tabs. `multiple.size` - optional string describing the size of the new item (see the written documentation for more info). `multiple.size` specifies the size of the new group to be added and then the `size` config of the new items are the sizes relative to this new multiple group. If you only specify one new item then the `size` of that will be used as the size and will override `multiple.size`<!-- -->.

