import { Equal, Expect } from '@genesislcap/foundation-testing';
import { customElement } from '@microsoft/fast-element';
import { FoundationLayoutItem } from '../../src/main/layout-item';
import { wrapperTemplate } from '../../src/utils/';

let itemsRegistered = false;

/**
 * This file contains custom elements which simply register the items under
 * test. This is required as we don't have a design system to register with
 * during the unit tests, so we can't use the normal `.register(foundationLayoutComponents)
 * as an app would
 */

@customElement({
  name: 'foundation-layout-item',
  template: wrapperTemplate,
})
class FoundationLayoutItemUnderTest extends FoundationLayoutItem {}
// FoundationLayoutItemUnderTest should have an empty body and _AssertTypeUnderTest should be true
type _AssertTypeUnderTest = Expect<Equal<FoundationLayoutItemUnderTest, FoundationLayoutItem>>;

/** @internal */
export const setupRegisterForTests = () => {
  if (itemsRegistered === true) return;

  FoundationLayoutItemUnderTest;

  itemsRegistered = true;
};
